﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace XamTileManagerSelection
{
    public class DeleteCommand : ICommand
    {

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            CustomTileManager tileManager = parameter as CustomTileManager;

            ViewModel VM = tileManager.DataContext as ViewModel;

            if (tileManager.SelectedItem != null)
            {
                VM.Data.Remove(tileManager.SelectedItem as SampleData);
                tileManager.SelectedItem = null;
            }
        }
    }
}
