﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamTileManagerSelection
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public SampleData SelectedItem { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 100; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Name = i.ToString()
                });
            }

            SelectedItem = Data[2];
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
